/*   UltimateIRCd - Ultimate Internet Relay Chat Daemon, include/version.h
**
**   Written for UltimateIRCd by ShadowRealm Creations.
**   Copyright (C) 1997-2000 Infomedia Inc.
**
**   This program is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 1, or (at your option)
**   any later version.
**
**   This program is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with this program; if not, write to the Free Software
**   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef __versioninclude
#define __versioninclude 1

/*
**
** Please don't touch this.
**
*/

/*
**
** UIRCd Protocol
**
*/

#define UltimateProtocol 2800

/*
**
** Kill links with protocol that is equal to or lower than:
**
*/

#define KillProtocol 2704

#define MAJOR_RELEASE 	"2"
#define MINOR_RELEASE	".8"
#define REVISION	".1"
#define RELEASE_NAME	"-ArcticTiger"
#define BETA_RELEASE	".b2"
#define PATCH1  ""
#define PATCH2  ""
#define PATCH3  ""
#define PATCH4  ""
#define PATCH5  ""
#define PATCH6  ""
#define PATCH7  ""

#ifdef _AMIGA
#define PATCH8 ".(Amiga)"
#endif
#ifdef _WIN32
#define PATCH8 ".(Win32)"
#endif
#if !defined(_AMIGA) && !defined(_WIN32)
#define PATCH8  ""
#endif

#ifdef DEBUGMODE
#define PATCH9 ".(Debug)"
#else
#define PATCH9 ""
#endif


#define BASE_VERSION "UltimateIRCd"

#endif /* __versioninclude */ 
